# DTOClass Class Reference

Inheritance diagram for DTOClass:
[legend]

List of all members.

## Public Member Functions

| makeObject (Form $form)
| toForm ()

## Detailed Description

Definition at line 12 of file DTOClass.class.php.

## Member Function Documentation

DTOClass::makeObject | ( | Form $ | form | ) | `[final]`

Definition at line 14 of file DTOClass.class.php.

References FormToObjectConverter::create(), and PrototypedEntity::entityProto().

Here is the call graph for this function:

DTOClass::toForm | ( |  | ) | `[final]`

Returns:
  Form

Definition at line 24 of file DTOClass.class.php.

References ObjectToFormConverter::create(), and PrototypedEntity::entityProto().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/Net/Soap/DTOClass.class.php